////////////////////////////////////////////////////////////////////////////////
//
// This form is only in the project to maintain the ability to compile the
// CM2API unit, it refers back to the main form of CM2Core program to allow
// the API system to work. This form doesn't allow API functions to work in
// the editor. Which is why this form in more or less empty.
// It contain an empty function which is used in the core program to allow
// form setting on fly and then it contains a Tedit, to replicate the hint
// property on the trayicon.
//
////////////////////////////////////////////////////////////////////////////////
unit bogusAPIform;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TCM2MainForm = class(TForm)
    tray: TEdit;
  private
    { Private declarations }
  public
    procedure SetFormVisible(S: String; B: Boolean; B2: Boolean = false);
  end;

var
  CM2MainForm: TCM2MainForm;

implementation

{$R *.dfm}

{ TCM2MainForm }

procedure TCM2MainForm.SetFormVisible(S: String; B: Boolean; B2: Boolean = false);
begin
 // temp
end;

end.
